## kde-thumbnailer-openoffice 1.0.0

=== CMakeLists.txt ===
project(OOoThumbnail)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

add_subdirectory( src )

=== src/CMakeLists.txt ===

set(OpenOfficeorgThumbnail_SRCS openofficeorgcreator.cpp)

qt4_add_resources(OpenOfficeorgThumbnail_SRCS openofficeorgthumbnail.qrc)

kde4_add_plugin(openofficeorgthumbnail ${OpenOfficeorgThumbnail_SRCS})

target_link_libraries(openofficeorgthumbnail ${KDE4_KIO_LIBS} )

install(TARGETS openofficeorgthumbnail DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES  openofficeorgthumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kde-thumbnailer-openoffice (1.0.0-0ubuntu5) oneiric; urgency=low

  * Change the binary package's suggests on dolphin/konqueror to enhances
  * Bump Standards-Version to 3.9.2, no changes necessary
  * Bump debhelper compat to 8
    - Fix short rules for dh8 compliance

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 25 May 2011 12:20:57 -0400

kde-thumbnailer-openoffice (1.0.0-0ubuntu4) maverick; urgency=low

  * Add build-dep on cmake since kdelibs5-dev no longer depends on it
  * Switch to source format 3.0:
    - Bump debhelper build-dep version to 7.3.16 or greater
    - Bump pkg-kde-tools build-dep version to 0.5.0 or greater
  * Demote dolphin and konqueror to suggest of the binary package. This
    package is for example useful in the KDE file dialogs, and pulling both
    in by default isn't really all that nice.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 20:34:51 -0400

kde-thumbnailer-openoffice (1.0.0-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:01 +0000

kde-thumbnailer-openoffice (1.0.0-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 24 Nov 2009 09:45:22 -0500

kde-thumbnailer-openoffice (1.0.0-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Move packaging to use the dh kde addon

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 05 Nov 2009 18:26:13 -0500

kde-thumbnailer-openoffice (0.0.1-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #424636)

 -- Andreas Wenning <awen@awen.dk>  Sat, 05 Sep 2009 01:32:38 +0200

=== debian/control ===
Source: kde-thumbnailer-openoffice
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andreas Wenning <awen@awen.dk>
Build-Depends: debhelper (>= 8.0.0), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev
Standards-Version: 3.9.2
Homepage: http://www.kde-look.org/content/show.php?content=110864

Package: kde-thumbnailer-openoffice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: dolphin, konqueror
Description: KDE plugin to show thumbnails of OpenOffice.org files
 Plugin for KDE file managers (Dolphin and Konqueror) to preview OpenOffice.org
 files (Open Document Format) as thumbnails.

=== debian/watch ===
version=3
http://arielch.fedorapeople.org/devel/src/ OpenOfficeorgThumbnail-(.*)\.tar\.gz
